from distutils.core import setup, Extension

module1 = Extension('gi_detect',
                    define_macros = [('MAJOR_VERSION', '0'),
                                     ('MINOR_VERSION', '1')],
                    include_dirs = ['/usr/include'],
                    libraries = ['detect'],
                    library_dirs = ['/usr/lib'],
                    sources = ['detect.c'])

setup (name = 'GI_Detect',
       version = '0.1',
       description = 'This is the hardware detectction layer for gi-joe project. Built against detect.',
       author = 'Meir Kriheli',
       author_email = 'meir@mksoft.co.il',
       ext_modules = [module1])
